## ncbi-entrez-direct 23.8.20250410+dfsg

=== debian/changelog ===
ncbi-entrez-direct (23.8.20250410+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/NEWS: Cite a non-elided version.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Apr 2025 22:01:12 -0400

ncbi-entrez-direct (23.8.20250408+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * debian/NEWS: Note that manpages are at least temporarily out of the
    picture to reduce maintenance overhead.
  * debian/control:
    - Add B-Ds on golang-github-goccy-go-yaml-dev and
      golang-github-komkom-toml-dev.
    - Suggest golang-any for the sake of scripts that build specialized
      binaries on the fly.
  * debian/install: Install new data tree to ncbi-entrez-direct; also
    throw in eutils and extern for the sake of scripts that build
    specialized binaries on the fly.
  * debian/man/{archive-{pmc,pubmed},cit2pmid,csv2xml,custom-index,
    download-ncbi-data,download-pubmed,edict,efetch,elink,expand-current,
    fetch-{pmc,pubmed},index-extras,phrase-search,pm-*,pma2pme,rchive,
    stream-pubmed,theme-aliases,transmute,xtract}.1: Update through
    20.4.20230911(+dfsg).
  * debian/man/{archive-taxonomy,fetch-{local,taxonomy},gm2segs,ini2xml,
    pma2apa,pmc2{bioc,info},yaml2xml}.1: Document new commands.
  * debian/man/elink.1: Belatedly clean up with Perl implementation gone.
  * debian/man/index-pubmed.1: Retire.
  * debian/manpages: Rename to manpages.disabled for now.
  * debian/rules:
    - Install new as-is scripts bsmp2info, ecollect, filter-record, fsa2xml,
      gff-sort, gff2xml, gm2segs, ini2xml, jsonl2xml, just-top-hits,
      pair-at-a-time, pma2apa, pmc2bioc, pmc2info, print-missing-subranges,
      quote-grouped-elements, refseq-nm-cds, sort-by-length,
      systematic-mutations, and yaml2xml.
    - Install all download-* and gbf2* scripts as is, including some new
      ones.
    - Install all archive-* scripts (including some new ones) and the new
      local-archive scripts xfetch, xfilter, xinfo, xlink, and xsearch with
      library-directory substitutions.
    - Reflect upstream retirement of fetch-*, index-extras, index-pubmed,
      phrase-search, and stream-pubmed, superseded by xfetch et al.
    - Enable use of github.com/goccy/go-yaml, github.com/komkom/toml, and
      (indirectly, no B-Ds needed) github.com/pkg/errors,
      github.com/stretchr/{objx,testify}, and golang.org/x/xerrors.
  * debian/.gitignore: Ignore .debhelper.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 09 Apr 2025 23:21:37 -0400
