## ncbi-entrez-direct 23.8.20250429+dfsg

=== debian/changelog ===
ncbi-entrez-direct (23.8.20250429+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 01 May 2025 23:05:12 -0400
