## ncbi-entrez-direct 24.0.20250523+dfsg

=== debian/changelog ===
ncbi-entrez-direct (24.0.20250523+dfsg-2) unstable; urgency=medium

  * debian/control: Reformat via "cme fix dpkg-control" (routine-update).
  * debian/rules:
    - Add a symlink for github.com/gabriel-vasile/mimetype, now needed by
      github.com/go-playground/validator/v10 (which is itself a dependency
      of github.com/gin-gonic/gin).  (Closes: #1118336.)
    - Relax /usr/share/gocode content assumptions; current indirect
      dependencies may be legitimately absent for (potential) backports.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 20 Oct 2025 10:42:25 -0400

ncbi-entrez-direct (24.0.20250523+dfsg-1) unstable; urgency=medium

  * New upstream release; as with 19.0.20230216(+dfsg), the nominal major
    version bump isn't as meaningful as it might appear.
  * debian/install: Install *.ini to /etc/ncbi.
  * debian/links: Symlink them into /usr/lib/ncbi-entrez-direct.
  * debian/man/{accn-at-a-time,align-columns,archive-{pmc,pubmed,taxonomy},
    asn2ref,between-two-genes,cit2pmid,combine-uid-lists,csv2xml,
    custom-index,difference-uid-lists,disambiguate-nucleotides,
    download-{ncbi-data,pmc,pubmed,sequence},ds2pme,edict,efetch(.ncbi),
    efilter,einfo.ncbi,elink,epost,esample,esearch,esummary,
    exclude-uid-lists,expand-current,filter-columns,filter-stop-words,
    gene2range,gm2segs,intersect-uid-lists,join-into-groups-of,nquire,
    pm-prepare,pm-refresh,pma2apa,pma2pme,pmc2bioc,pmc2info,print-columns,
    rchive,ref2pmid,reorder-columns,snp2tbl,sort-{table,uniq-count(-rank)},
    spdi2tbl,transmute,uniq-table,word-at-a-time,xml2fsa,xml2tbl,xtract}.1:
    Update fully.  Across the board, substitute EDIRECT_LOCAL_ARCHIVE for
    EDIRECT_LOCAL_MASTER, update and symmetrize SEE ALSO, standardize on
    man1/-less .so directives, and generally copy-edit.
  * debian/man/{archive-{nihocc,nlmnlp,nmcds,pids},args2slice,bsmp2info,
    download-flatfile,ecollect,filter-{genbank,record},fsa2xml,
    gbf2{facds,fsa,info,tbl},gff-sort,gff2xml,jsonl2xml,just-top-hits,
    pair-at-a-time,pm-clean,pm-setup,print-missing-subranges,
    quote-grouped-elements,refseq-nm-cds,sort-by-length,
    systematic-mutations,xfetch,xfilter,xinfo,xlink,xsearch}.1: Document
    commands added upstream since version 20.4.20230911(+dfsg).
  * debian/man/{fetch-*,index-extras,phrase-search,stream-pubmed,
    theme-aliases}.1: Remove (commands replaced or retired upstream since
    version 20.4.20230911[+dfsg]).
  * debian/manpages: Rename back from manpages.disabled.
  * debian/rules: Move ecollect to ECOMMON_SCRIPTS and cit2pmid, pm-clean,
    pm-prepare, and pm-setup to XCOMMON_SCRIPTS, in all cases from
    AS_IS_SCRIPTS, so they know to look in /usr/lib/ncbi-entrez-direct as
    needed, at minimum for [ex]common.sh.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 May 2025 11:57:59 -0400
