=== debian/rules ===
--- 
+++ 
@@ -22,26 +22,27 @@
 
 WRAPPERS = $(filter-out bin/edict.sh, $(GO_APPS:%=bin/%.sh))
 AS_IS_SCRIPTS = accn-at-a-time amino-acid-composition asn2ref \
-                between-two-genes blst2tkns bsmp2info cit2pmid \
-                combine-uid-lists csv2xml custom-index difference-uid-lists \
-                disambiguate-nucleotides download-* ds2pme ecollect esample \
+                between-two-genes blst2tkns bsmp2info combine-uid-lists \
+                csv2xml custom-index difference-uid-lists \
+                disambiguate-nucleotides download-* ds2pme esample \
                 exclude-uid-lists expand-current filter-columns \
                 filter-record filter-stop-words find-in-gene fsa2xml \
                 fuse-ranges fuse-segments gbf2* gene2range gff-sort gff2xml \
                 gm2segs hgvs2spdi ini2xml intersect-uid-lists \
                 join-into-groups-of json2xml jsonl2xml just-top-hits \
-                pair-at-a-time pm-* pma2apa pma2pme pmc2bioc pmc2info \
-                print-columns print-missing-subranges quote-grouped-elements \
-                ref2pmid refseq-nm-cds reorder-columns \
+                pair-at-a-time pm-collect pm-refresh pma2apa pma2pme pmc2bioc \
+                pmc2info print-columns print-missing-subranges \
+                quote-grouped-elements ref2pmid refseq-nm-cds reorder-columns \
                 scn2xml skip-if-file-exists snp2hgvs snp2tbl \
                 sort-by-length sort-table sort-uniq-count* spdi2tbl \
                 split-at-intron systematic-mutations tbl2prod tbl2xml \
                 uniq-table word-at-a-time xml2fsa xml2tbl xy-plot yaml2xml
 PERL_SCRIPTS = run-ncbi-converter xml2json
 BIN_PERL_SCRIPTS = $(PERL_SCRIPTS:%=bin/%)
-ECOMMON_SCRIPTS = efetch efilter einfo elink epost esearch
+ECOMMON_SCRIPTS = ecollect efetch efilter einfo elink epost esearch
 BIN_ECOMMON_SCRIPTS = $(ECOMMON_SCRIPTS:%=bin/%)
-XCOMMON_SCRIPTS = xfetch xfilter xinfo xlink xsearch
+XCOMMON_SCRIPTS = cit2pmid pm-clean pm-prepare pm-setup \
+                  xfetch xfilter xinfo xlink xsearch
 BIN_XCOMMON_SCRIPTS = $(XCOMMON_SCRIPTS:%=bin/%)
 OTHER_SCRIPTS = $(wildcard archive-*) esummary nquire
 BIN_OTHER_SCRIPTS = $(OTHER_SCRIPTS:%=bin/%)
@@ -50,8 +51,8 @@
 GOCODE    = /usr/share/gocode
 GH        = github.com
 GL        = golang.org
-GOLIBSRC_ = $(GH)/fatih/color $(GH)/gedex/inflector \
-            $(GH)/gin-contrib/sse $(GH)/gin-gonic/gin \
+GOLIBSRC_ = $(GH)/fatih/color $(GH)/gabriel-vasile/mimetype \
+            $(GH)/gedex/inflector $(GH)/gin-contrib/sse $(GH)/gin-gonic/gin \
             $(GH)/go-playground/locales \
             $(GH)/go-playground/universal-translator \
             $(GH)/go-playground/validator/v10 $(GH)/goccy/go-yaml \
@@ -82,9 +83,9 @@
 
 USE_LIB_DIR = s,\"$$pth\(\"*\)/,\"$(LIB_DIR)\1/,g
 
-$(GOPATH)/%: /usr/share/gocode/%
+$(GOPATH)/%: # /usr/share/gocode/%
 	mkdir -p $(dir $@)
-	ln -s $< $@
+	ln -s /usr/share/gocode/$* $@
 
 $(GOPATH)/src/eutils:
 	mkdir -p $(GOPATH)/src
