=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libxml-simple-perl
Restrictions: allow-stderr
