=== debian/watch ===
version=4
opts="dversionmangle=s/\+df?sg?//,repacksuffix=+dfsg" \
https://ftp.ncbi.nlm.nih.gov/entrez/entrezdirect/versions/([\d.]+)/edirect-([\d.]+).tar.gz
